Summary: SysV init scripts which are only used in an LSB image
Name: lsbinitscripts
Version: 9.64
Release: r0.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
BuildRequires: virtual/update-alternatives
BuildRequires: glib-2.0
BuildRequires: virtual/libc
BuildRequires: popt
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: update-alternatives-opkg
Requires: util-linux
Requires(post): update-alternatives-opkg
Requires(post): util-linux
Requires(preun): update-alternatives-opkg
Requires(preun): util-linux
Provides: /etc/init.d/functions

%description
SysV init scripts which are only used in an LSB image.

%package -n lsbinitscripts-dbg
Summary: SysV init scripts which are only used in an LSB image - Debugging files
Group: devel
Recommends: lsbinitscripts = 9.64-r0.0

%description -n lsbinitscripts-dbg
SysV init scripts which are only used in an LSB image.  This package
contains ELF symbols and related sources for debugging purposes.

%package -n lsbinitscripts-staticdev
Summary: SysV init scripts which are only used in an LSB image - Development files (Static Libraries)
Group: devel
Requires: lsbinitscripts-dev = 9.64-r0.0

%description -n lsbinitscripts-staticdev
SysV init scripts which are only used in an LSB image.  This package
contains static libraries for software development.

%package -n lsbinitscripts-dev
Summary: SysV init scripts which are only used in an LSB image - Development files
Group: devel
Requires: lsbinitscripts = 9.64-r0.0
Suggests: libglib-2.0-dev
Suggests: update-alternatives-opkg-dev
Suggests: util-linux-dev
Suggests: libpopt-dev

%description -n lsbinitscripts-dev
SysV init scripts which are only used in an LSB image.  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n lsbinitscripts-doc
Summary: SysV init scripts which are only used in an LSB image - Documentation files
Group: doc

%description -n lsbinitscripts-doc
SysV init scripts which are only used in an LSB image.  This package
contains documentation.

%package -n lsbinitscripts-locale
Summary: SysV init scripts which are only used in an LSB image
Group: base

%description -n lsbinitscripts-locale
SysV init scripts which are only used in an LSB image.

%post
# lsbinitscripts - postinst
#!/bin/sh
	update-alternatives --install /etc/init.d/functions functions /etc/init.d/functions.lsbinitscripts 100


%preun
# lsbinitscripts - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  functions /etc/init.d/functions.lsbinitscripts
fi

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/etc/init.d"
"/etc/init.d/functions.lsbinitscripts"

%files -n lsbinitscripts-dbg
%defattr(-,-,-,-)

%files -n lsbinitscripts-dev
%defattr(-,-,-,-)

